CON
  _clkmode = xtal1 + pll16x                             ' use crystal x 16
  _xinfreq = 5_000_000                                  ' 5 MHz cyrstal (sys clock = 80 MHz)
VAR
  long analog
OBJ
  adc   : "qp410"
  term  : "tv_text"
PUB main 
  term.start(12)                'start terminal
  term.str(@title)              'show text title
  waitcnt(160_000_000+cnt)      ' 2 sec delay
  adc.start(10)                 ' start QP410
  repeat
    analog := adc.rd(0)         ' read From CH0
    term.str(string("CH0= "))
    term.bin(analog,10)
    term.out($09)
    analog := adc.rd(1)         ' read From CH1
    term.str(string("CH1= "))
    term.dec(analog)
    term.out($09)
    analog := adc.rd(2)         ' read From CH2
    term.str(string("CH2= "))
    term.dec(analog)
    term.out($09)
    analog := adc.rd(3)         ' read From CH3
    term.str(string("CH3= "))
    term.dec(analog)
    term.out($0d)
    waitcnt(40_000_000+cnt)
DAT
title   byte    "QP 410 ADC Demo",13,13,0       