'' testsd.spin - quick test program of rokicki's SD routines
'''
''' I tested with two files on the card, the fsrw.spin file, and the README.TXT file
''' as you can see, it works :)
''''
' Enjoy!
'
' Bill Henning 

CON

  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000

obj
  tv: "tv_text"
  fs: "fsrw"

var
  byte filename[12]
 
pub start | i, ch, lines

  ' mount the SD card
 
  fs.mount(0)

  'start tv terminal

  tv.start(12)

  'write intro message
  tv.str(string("*** SDIO Demo program. List files ***",13,13))

  'open the directory
  fs.opendir

  'print the name of each file
  repeat
    if fs.nextfile(@filename)
       tv.str(string(13,"*** THEN SHOW 5 LINES OF LAST FILE ***",13))
       quit
    else
       tv.str(@filename)
       tv.out(13)

  'open last file listed
  fs.popen(@filename,"r")

  ch := 0
  lines := 0
 
  ' show text characters in it
  repeat while (ch > -1) & (lines < 6)
    ch := fs.pgetc
    if ((ch > 31)&(ch<128)) | (ch == 13)
      tv.out(ch)
    if (ch == 13)
      lines++

 